/*
 * hal.h
 *
 *  Created on: 14.06.2017
 *      Author: balbekova
 */

#ifndef HAL_H_
#define HAL_H_

typedef enum {
    WEB_ACT = 0,
    SNMP_ACT,
    CLI_ACT,
    FTP_ACT,
    OTHER_ACT
} source_act_t;

void Reboot(source_act_t source_reset);
void set_act_source(source_act_t source);
source_act_t get_act_source(void);

#endif /* HAL_H_ */
